clt2bdf(1)

Name

clt2bdf — convert Consoleet text bitmaps to BDF/SFD

Syntax
clt2bdf [--bdf|--sfd] [-O] [-N name] -o output.bdf directory...

Description

clt2bdf scans one or more directories recursively for Consoleet text bitmap files, collects and converts these into a single BDF or SFD file. The names of the bitmap files have to match the Unicode point the glyph is representing. The default output format is SFD.

In case of SFD generation, each pixel is transformed into a polygon. This means the file will be bloated, and you are encouraged to run the FontForge editing tools to combine polygons, either via UI or the command line,

fontforge -lang=ff 'Open("foo.sfd"); SelectAll(); RemoveOverlap(); Simplify(-1, 1; Save("foo.sfd");'

Options

-N  Display name for the new font.

-O  Feed the SFD data output by clt2bdf through FontForge for merging of overlapping polygons and vertices.

--bdf
    Generate a Glyph Bitmap Distribution file, which can then be edited further with gbdfed. Use this if you plan on generating a PCF (with bdftopcf) for use with the X server.

--sfd
    Generate a Spline Font Database file, which can then be edited further with FontForge and converted to TrueType/OpenType.

-o file
    Specify the name of the output file.